## Kick participants from an active session `client.RealtimeKit.ActiveSession.KickParticipants(ctx, appID, meetingID, params) (*ActiveSessionKickParticipantsResponse, error)` **post** `/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-session/kick` Kicks one or more participants from an active session using user ID or custom participant ID. ### Parameters - `appID string` The app identifier tag. - `meetingID string` - `params ActiveSessionKickParticipantsParams` - `AccountID param.Field[string]` Path param: The account identifier tag. - `CustomParticipantIDs param.Field[[]string]` Body param - `ParticipantIDs param.Field[[]string]` Body param ### Returns - `type ActiveSessionKickParticipantsResponse struct{…}` - `Data ActiveSessionKickParticipantsResponseData` - `Action string` - `Participants []ActiveSessionKickParticipantsResponseDataParticipant` - `ID string` ID of the session participant - `CreatedAt string` - `UpdatedAt string` - `Email string` Email of the session participant. - `Name string` Name of the session participant. - `Picture string` A URL pointing to a picture of the participant. - `Success bool` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/realtime_kit" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.RealtimeKit.ActiveSession.KickParticipants( context.TODO(), "app_id", "meeting_id", realtime_kit.ActiveSessionKickParticipantsParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), CustomParticipantIDs: cloudflare.F([]string{"string"}), ParticipantIDs: cloudflare.F([]string{"string"}), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Data) } ``` #### Response ```json { "data": { "action": "action", "participants": [ { "id": "id", "created_at": "created_at", "updated_at": "updated_at", "email": "email", "name": "name", "picture": "picture" } ] }, "success": true } ```